GET /reports/billing/ci
Returns billing data for CI jobs including chart data, summary, paginated job list, and available filters.
Authorization
JWTKeyAuth In: header
Query Parameters
Start date (RFC3339)
End date (RFC3339)
Chart grouping: runner_label or repo (default: repo)
Filter by repositories
Filter by runner labels
Filter by stack IDs
Filter by job names
Filter by VCS job id(s) (e.g. the GitHub Actions job id)
Filter by VCS run id(s) (e.g. the GitHub Actions workflow run id)
Filter by snapshot usage
Search by repo, job name, runner label
Sort column (default: timestamp)
Sort order: asc or desc (default: desc)
Page number (default: 1)
Items per page (default: 50, max: 200)
Response format: json or csv (default: json)
Response Body
application/json
application/json
application/json
curl -X GET "https://api.warpbuild.com/api/v1/reports/billing/ci?start_date=string&end_date=string"{
"available_filters": {
"job_names": [
"string"
],
"repos": [
"string"
],
"runner_labels": [
"string"
],
"snapshot": [
true
],
"stack_ids": [
{
"id": "string",
"name": "string"
}
]
},
"chart": {
"bucket_interval_seconds": 0,
"daily": [
{
"date": "string",
"segments": [
{
"cost": 0,
"job_count": 0,
"key": "string"
}
],
"total_cost": 0
}
],
"group_by": "string"
},
"jobs": {
"items": [
{
"billed_time": 0,
"execution_time": 0,
"job_name": "string",
"repo": "string",
"run_id": "string",
"runner_cost": 0,
"runner_id": "string",
"runner_label": "string",
"snapshot": true,
"snapshot_cost": 0,
"stack": "string",
"stack_kind": "string",
"timestamp": "string",
"total_cost": 0,
"vcs_job_id": "string"
}
],
"next": 0,
"page": 0,
"per_page": 0,
"total_pages": 0,
"total_rows": 0
},
"organization_id": "string",
"summary": {
"total_cost": 0,
"total_jobs": 0,
"total_runner_cost": 0,
"total_snapshot_cost": 0
}
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}GET /reports/billing/cache
Returns billing data for cache operations including chart data, summary, paginated entry list, and available filters.
GET /reports/billing/docker-builder
Returns billing data for Docker Builder sessions including chart data, summary, paginated session list, and available filters.